Loading...
Searching...
No Matches
volk_32i_s32f_convert_32f.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32i_s32f_convert_32f_a_H

## Functions

static void | volk_32i_s32f_convert_32f_u_sse2 (float *outputVector, const int32_t *inputVector, const float scalar, unsigned int num_points)
static void | volk_32i_s32f_convert_32f_generic (float *outputVector, const int32_t *inputVector, const float scalar, unsigned int num_points)
static void | volk_32i_s32f_convert_32f_a_sse2 (float *outputVector, const int32_t *inputVector, const float scalar, unsigned int num_points)
static void | volk_32i_s32f_convert_32f_neon (float *outputVector, const int32_t *inputVector, const float scalar, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32i_s32f_convert_32f_a_H

#define INCLUDED_volk_32i_s32f_convert_32f_a_H

## Function Documentation

## volk_32i_s32f_convert_32f_a_sse2()

void volk_32i_s32f_convert_32f_a_sse2 | ( | float * | outputVector,
|  | const int32_t * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32i_s32f_convert_32f_generic()

void volk_32i_s32f_convert_32f_generic | ( | float * | outputVector,
|  | const int32_t * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32i_s32f_convert_32f_neon()

void volk_32i_s32f_convert_32f_neon | ( | float * | outputVector,
|  | const int32_t * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32i_s32f_convert_32f_u_sse2()

void volk_32i_s32f_convert_32f_u_sse2 | ( | float * | outputVector,
|  | const int32_t * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static